Bug 107301 - anaconda does not setup firewall/security settings
anaconda does not setup firewall/security settings
Status: CLOSED DUPLICATE of bug 105994
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-16 13:45 EDT by Bryan Headley
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:59:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Headley 2003-10-16 13:45:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20031010
Debian/1.4-6

Description of problem:
While doing a full install, you are asked to set up the firewall settings. I
choose a custom setup (although this is hardly "custom") of,

o WWW/httpd
o ssh
o ftp

When anaconda's finished installing, and you bring the installed system up, none
of the above services are allowed from the firewall. Indeed, you have to
manually run redhat-setup-security to set the box up.

--oo--
Probably as a matter of a secondary bug, but isn't this configurelet's choices
rather limited? E.g., nfs, samba, dbus, X, vnc, pop3/smtp all come to mind as
things I'd like to enable/disable at a firewall level.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install
2. Configure your security settings
3. Bring up booted system and note that none of your settings were
   perisisted by the anaconda process
    

Actual Results:  Firewall was set to disallow ssh, httpd, ftp access

Expected Results:  Firewall should be setup to allows ssh, httpd, ftp access

Additional info:
Comment 1 Jeremy Katz 2003-10-16 14:07:23 EDT

*** This bug has been marked as a duplicate of 105994 ***
Comment 2 Red Hat Bugzilla 2006-02-21 13:59:13 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.